summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortermie <github@anarkystic.com>2011-02-23 08:46:11 -0800
committertermie <github@anarkystic.com>2011-02-23 08:46:11 -0800
commit2bbbfc5af62db57158a8d6aa26912ba234d0296e (patch)
tree5c112c427756e67fda18b840f38bf8610ecee645
parentd160455b77d7e180f252f4b412e3f65d7286b51f (diff)
dump error output directly on short import errors
-rwxr-xr-xrun_tests.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/run_tests.sh b/run_tests.sh
index 70212cc6a..4e8159e7b 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -40,7 +40,18 @@ done
function run_tests {
# Just run the test suites in current environment
${wrapper} rm -f nova.sqlite
- ${wrapper} $NOSETESTS
+ ${wrapper} $NOSETESTS 2> run_tests.err.log
+ # If we get some short import error right away, print the error log directly
+ RESULT=$?
+ if [ "$RESULT" -ne "0" ];
+ then
+ ERRSIZE=`wc -l run_tests.err.log | awk '{print \$1}'`
+ if [ "$ERRSIZE" -lt "40" ];
+ then
+ cat run_tests.err.log
+ fi
+ fi
+ return $RESULT
}
NOSETESTS="python run_tests.py $noseargs"